# norootforbuild

%if 0%{?fedora_version} || 0%{?centos_version}
%define breq qt4-devel
%define qmake /usr/bin/qmake-qt4
%define lrelease /usr/bin/lrelease-qt4
%endif  
%if 0%{?mandriva_version}
%define breq libqt4-devel, qt4-linguist
%define qmake /usr/lib/qt4/bin/qmake
%define lrelease /usr/lib/qt4/bin/lrelease
%endif

Name:		qtagconvert
Version: 2.0.0
Release: 4.2
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		%{name}-%{version}.tar.bz2
Vendor:		drmoriarty.0@gmail.com
Group:		Multimedia
Summary:	MP3 tag converter
BuildRequires:	gcc-c++ sed taglib-devel pkgconfig(QtGui)
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif  
Prefix:		/usr

%description
Tag editor for mp3 files. Designed to convert codepage for ID3v1 and ID3v2 tags.

%prep
%setup -q
sed 's/Version=2.0.0/Version=1.0/' %{name}.desktop
sed 's/Encoding=UTF-8//' %{name}.desktop
sed 's/Categories=AudioVideo;/Categories=AudioVideo;Audio;AudioVideoEditing;Qt;/' %{name}.desktop

%build
%define qtbindir `pkg-config --variable=exec_prefix QtCore`/bin
%{qtbindir}/qmake
%{qtbindir}/lrelease %{name}.pro
make

%install
%{__rm} -rf %{buildroot}
%{makeinstall} INSTALL_ROOT=%{buildroot}
%if 0%{?suse_version}
#suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing
%endif
# hack
rm -rf %{buildroot}%{_datadir}/doc/%{name}-2.0.0


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.utf8
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
#%{_datadir}/%{name}
#%if 0%{?mandriva_version} == 0
#%{_datadir}/doc/%{name}-%{version}
#%endif

%changelog
* Fri Mar 08 2013 Shawn W Dunn <sfalken@fuduntu.org> - 2.0.0-4.2
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 2.0.0-4.2
- Built for Fuduntu

* Sun Feb 06 2011 Petr Vanek <petr@scribus.info> 0.5
- suse fixes

* Tue May 19 2009 TI_Eugene <ti.eugene@gmail.com> 0.5
- Initial build in OBS
